# Set strategy sort order POST https://app.unleash-instance.example.com/api/admin/projects/{projectId}/features/{featureName}/environments/{environment}/strategies/set-sort-order Content-Type: application/json Set the sort order of the provided list of strategies. Reference: https://docs.getunleash.io/api/set-strategy-sort-order ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Set strategy sort order version: endpoint_features.setStrategySortOrder paths: /api/admin/projects/{projectId}/features/{featureName}/environments/{environment}/strategies/set-sort-order: post: operationId: set-strategy-sort-order summary: Set strategy sort order description: Set the sort order of the provided list of strategies. tags: - - subpackage_features parameters: - name: projectId in: path required: true schema: type: string - name: featureName in: path required: true schema: type: string - name: environment in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: >- #/components/schemas/Features_setStrategySortOrder_Response_200 '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} requestBody: description: setStrategySortOrderSchema content: application/json: schema: $ref: '#/components/schemas/setStrategySortOrderSchema' components: schemas: SetStrategySortOrderSchemaItems: type: object properties: id: type: string description: The ID of the strategy sortOrder: type: number format: double description: The new sort order of the strategy required: - id - sortOrder setStrategySortOrderSchema: type: array items: $ref: '#/components/schemas/SetStrategySortOrderSchemaItems' Features_setStrategySortOrder_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/strategies/set-sort-order" payload = [ { "id": "9c40958a-daac-400e-98fb-3bb438567008", "sortOrder": 1 } ] headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/strategies/set-sort-order'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '[{"id":"9c40958a-daac-400e-98fb-3bb438567008","sortOrder":1}]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/strategies/set-sort-order" payload := strings.NewReader("[\n {\n \"id\": \"9c40958a-daac-400e-98fb-3bb438567008\",\n \"sortOrder\": 1\n }\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/strategies/set-sort-order") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "[\n {\n \"id\": \"9c40958a-daac-400e-98fb-3bb438567008\",\n \"sortOrder\": 1\n }\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/strategies/set-sort-order") .header("Authorization", "") .header("Content-Type", "application/json") .body("[\n {\n \"id\": \"9c40958a-daac-400e-98fb-3bb438567008\",\n \"sortOrder\": 1\n }\n]") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/strategies/set-sort-order', [ 'body' => '[ { "id": "9c40958a-daac-400e-98fb-3bb438567008", "sortOrder": 1 } ]', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/strategies/set-sort-order"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n {\n \"id\": \"9c40958a-daac-400e-98fb-3bb438567008\",\n \"sortOrder\": 1\n }\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ [ "id": "9c40958a-daac-400e-98fb-3bb438567008", "sortOrder": 1 ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/strategies/set-sort-order")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```